> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-mutex_instances-table.md).

# Performance Schema mutex\_instances Table

## Description

The `mutex_instances` table lists all mutexes that the Performance Schema seeing while the server is executing.

A mutex is a code mechanism for ensuring that threads can only access resources one at a time. A second thread attempting to access a resource will find it protected by a mutex, and will wait for it to be unlocked.

The [performance\_schema\_max\_mutex\_instances](/docs/server/reference/system-tables/performance-schema/performance-schema-system-variables.md#performance_schema_max_mutex_instances) system variable specifies the maximum number of instrumented mutex instances.

| Column                  | Description                                                                          |
| ----------------------- | ------------------------------------------------------------------------------------ |
| NAME                    | Instrument name associated with the mutex.                                           |
| OBJECT\_INSTANCE\_BEGIN | Memory address of the instrumented mutex.                                            |
| LOCKED\_BY\_THREAD\_ID  | The THREAD\_ID of the locking thread if a thread has a mutex locked, otherwise NULL. |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-mutex_instances-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
